API ReferenceapiclinicalDELETE /v1/wearables/connections/{provider}

DELETE /v1/wearables/connections/\{provider\}

Service: clinical · operationId: (none)

Disconnect a wearable provider for the current patient

Required scopes

(no scope declared — review service config)

Path parameters

  • provider (string) required

Responses

200 Connection marked disconnected

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "patient_id": {
      "type": "string"
    },
    "provider": {
      "type": "string"
    },
    "junction_user_id": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "connected",
        "disconnected",
        "error",
        "pending"
      ]
    },
    "connected_at": {
      "type": "string"
    },
    "last_synced_at": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "id",
    "patient_id",
    "provider",
    "junction_user_id",
    "status",
    "connected_at",
    "last_synced_at"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Connection not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

502 Junction upstream error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X DELETE https://clinical.platform.loop.health/v1/wearables/connections/{provider} \
  -H "Authorization: Bearer $ACCESS_TOKEN"